![angular-permission-banner](https://i.imgsafe.org/d6c48d4.png)

Permission
============================

*Fully featured role and permission based access control for your angular applications*

![Bower](https://img.shields.io/bower/v/angular-permission.svg?style=flat-square)
![npm](https://img.shields.io/npm/v/angular-permission.svg?style=flat-square)
![Travis](https://img.shields.io/travis/Narzerus/angular-permission.svg?style=flat-square)
![Coveralls](https://img.shields.io/coveralls/Narzerus/angular-permission.svg?style=flat-square)

Permission helps you gain control of your routes, by using simple concepts for you to decide who can access them.
We've seen plenty of big fat tutorials on access control implementation, and they can be quite overwhelming or inconsistent.
So we bring you a elastic, powerful and yet straightforward solution, that allow you provide fine-grained
role and permission based access control for your application users.

<img src="https://drslash.com/wp-content/uploads/2014/12/Archive-Utility.png" width="48" height="48">&nbsp;Dependencies
----------------------------

- [angular 1.4.8+](https://github.com/angular/angular) as MV* framework
- [ui-router](https://github.com/angular-ui/ui-router) or [ng-route](https://docs.angularjs.org/api/ngRoute) as your router module

<img src="http://www.hostingreviewslist.com/wp-content/uploads/2013/04/code-icon-script.png" width="48" height="48">&nbsp;Installation
----------------------------

#### <img src="https://versioneye.files.wordpress.com/2014/01/bower-logo.png" width="32" height="32">&nbsp;bower

```
bower install angular-permission --save
```

#### <img src="http://jbeckwith.com/images/2012/09/node_128.png" width="32" height="32">&nbsp;npm

```
npm install angular-permission --save
```

Webpack
----------------------------
```javascript
var ngPerm = require('angular-permission');
angular.module('myModule', [ngPerm.permission]) //To include 'permission' module
angular.module('myModule', [ngPerm.uiPermission]) //To include 'permission.ui' module
angular.module('myModule', [ngPerm.ngPermission]) //To include 'permission.ng' module
```

<img src="https://res.cloudinary.com/hashnode/image/upload/v1451902371/static_imgs/story-stats-icon.png" width="48" height="48">&nbsp;Documentation and examples
----------------------------

1. [Managing permissions](https://github.com/Narzerus/angular-permission/blob/development/docs/1-manging-permissions.md)
2. [Managing roles](https://github.com/Narzerus/angular-permission/blob/development/docs/2-manging-roles.md)
3. [Controlling access in views](https://github.com/Narzerus/angular-permission/blob/development/docs/3-controlling-access-in-views.md)
4. Usage with ui-router
  1. [Installation](https://github.com/Narzerus/angular-permission/blob/development/docs/ui-router/1-installation.md)
  2. [Usage in states](https://github.com/Narzerus/angular-permission/blob/development/docs/ui-router/2-usage-in-states.md)
  3. [Emitted events](https://github.com/Narzerus/angular-permission/blob/development/docs/ui-router/3-emitted-events.md)
  4. [Transition properties](https://github.com/Narzerus/angular-permission/blob/development/docs/ui-router/4-transition-properties.md)
5. Usage with ng-route
  1. [Installation](https://github.com/Narzerus/angular-permission/blob/development/docs/ng-route/1-installation.md)
  2. [Usage in routes](https://github.com/Narzerus/angular-permission/blob/development/docs/ng-route/2-usage-in-routes.md)
  3. [Emitted events](https://github.com/Narzerus/angular-permission/blob/development/docs/ng-route/3-emitted-events.md)
  4. [Transition properties](https://github.com/Narzerus/angular-permission/blob/development/docs/ng-route/4-transition-properties.md)


<img src="https://cdn4.iconfinder.com/data/icons/ballicons-2-new-generation-of-flat-icons/100/rocket-128.png" width="48" height="48">&nbsp;Migration guides
----------------------------
- [2.3.x to 3.0.x](https://github.com/Narzerus/angular-permission/blob/development/docs/migration/2.3.x-3.0.x.md)

<img src="https://s-media-cache-ak0.pinimg.com/236x/57/43/47/574347ddf6be999e0027de121104f2ff.jpg" width="48" height="48">&nbsp;Authors
----------------------------

- [Rafael Vidaurre](https://twitter.com/narzerus) - I'm a full-stack developer and musician who loves creating things of value
- [Blazej Krysiak](https://twitter.com/masterspambot) - I am a fast-minded, creative web developer seeking knowledge in innovative web technologies and cloud-based solutions.
