Migration guide 2.3.x to 3.0.x
============================

Below is written down minmal set of action that has be taken to migrate from 2.3.x version:

### Dependencies

From now integration with ui-router is moved into separate module `permission.ui`, so at first you need to update your module dependencies by adding it to array of dependencies.
 
```javascript
angular.module('app', [
 ...
 'ui.router', ('ct.ui.router.extras.core',) 
 'permission', 'permission.ui', 
 ...
]);
```

### RoleStore

Signature of method `defineRole` has been unified to improve amount of passed arguments. So there is no need to add empty array as parameter if you have custom validation function. 


```javascript
[...]

RoleStore
  .defineRole('ROLE_NAME', ['permissionNameA', 'permissionNameB', 'permissionNameC', ...])
  
RoleStore
  .defineRole('ROLE_NAME', function (roleName, transitionProperties) {
        [...]
      });
  });
```

Additionally method defineManyRoles has been added, see the [documentation](https://github.com/Narzerus/angular-permission/blob/development/docs/2-manging-roles.md#multiple-roles) if it fits your project business needs.

